[package]
name = "tree-sitter-highlight"
description = "Library for performing syntax highlighting with Tree-sitter"
version = "0.20.2"
authors = [
	"Max Brunsfeld <maxbrunsfeld@gmail.com>",
	"Tim Clem <timothy.clem@gmail.com>",
]
license = "MIT"
readme = "README.md"
edition = "2018"
keywords = ["incremental", "parsing", "syntax", "highlighting"]
categories = ["parsing", "text-editors"]
repository = "https://github.com/tree-sitter/tree-sitter"
rust-version.workspace = true

[lib]
crate-type = ["lib", "staticlib"]

[dependencies]
lazy_static = "1.4.0"
regex = "1.9.1"
thiserror = "1.0.43"

[dependencies.tree-sitter]
version = "0.20"
path = "../lib"
